Index: src/include/prep.h
===================================================================
--- src/include/prep.h	(revision 9374)
+++ src/include/prep.h	(working copy)
@@ -406,14 +406,27 @@
 inline ID GetID() { return GetID<void>(); }
 inline ID ConstructID(wxIntPtr i) { return ID(i); }
 
+// Just included to possibly set _LIBCPP_VERSION
+#include <ciso646>
+
+#if __cplusplus >= 201103L || defined(_LIBCPP_VERSION)
+#include <memory>
+#else
 #include <tr1/memory>
+#endif
 
 // Add std::shared_ptr in a namespace, so different implementations can be used with different compilers
 namespace cb
 {
+#if __cplusplus >= 201103L || defined(_LIBCPP_VERSION)
+    using std::shared_ptr;
+    using std::static_pointer_cast;
+    using std::weak_ptr;
+#else
     using std::tr1::shared_ptr;
     using std::tr1::static_pointer_cast;
     using std::tr1::weak_ptr;
+#endif
 }
 
 #if defined(__APPLE__) && defined(__MACH__)
